using System;
using System.Collections.Generic;
using System.Text;

using VectorStruct = MetaLabLogoProject.Vector3<double, MetaLabLogoProject.DoubleCalculator>;

namespace MetaLabLogoProject.GravityParticleSystem
{
    class GravityParticle
    {
        public VectorStruct position;
        public VectorStruct velocity;
        public double radius;
        public double mass;
        public double wobbleRadians=0;
        

        public GravityParticle(VectorStruct _position, VectorStruct _velocity, double _radius, double _mass)
        {
            position = _position;
            velocity = _velocity;
            radius = _radius;
            mass = _mass;
        }
    }
}
